GNUNET-TESTBED-PROFILER(1)

NAME
gnunet-testbed-profiler - profiling driver for the testbed

SYNOPSIS
gnunet-testbed-profiler [-c FILENAME | --config=FILENAME] [-e COUNT | --num-errors=COUNT] [-H FILENAME | --hosts=FILENAME] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-l LOGFILE | --logfile=LOGFILE] [-n | --non-interactive] [-p COUNT | --num-peers=COUNT] [-v | --version]

DESCRIPTION
gnunet-testbed-profiler is a command line profiling driver for the testbed.

OPTIONS

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-e COUNT | --num-errors=COUNT
    Tolerate COUNT number of continious timeout failures.

-H FILENAME | --hosts=FILENAME
    Name of the file with the login information for the testbed.

-h | --help
    Print short help on options.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-l LOGFILE | --logfile=LOGFILE
    Configure logging to write logs to LOGFILE.

-n | --non-interactive
    Run profiler in non-interactive mode where upon testbed setup the profiler does not wait for a keystroke but continues to run until a termination signal is received.

-p COUNT | --num-peers=COUNT
    Create COUNT number of peers.

-v | --version
    Print GNUnet version number.

SEE ALSO
The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.